package com.oguerreiro.resilient.repository.security;

import java.util.Optional;

import org.springframework.stereotype.Repository;

import com.oguerreiro.resilient.repository.ResilientJpaRepository;
import com.oguerreiro.resilient.security.resillient.SecurityResource;

/**
 * Spring Data JPA repository for the SecurityResource entity.
 */
@SuppressWarnings("unused")
@Repository
public interface SecurityResourceRepository extends ResilientJpaRepository<SecurityResource, Long> {
  Optional<SecurityResource> findByCode(String code);
}
