package com.oguerreiro.resilient.service.mapper;

import org.mapstruct.Mapper;

import com.oguerreiro.resilient.domain.ContentPage;
import com.oguerreiro.resilient.service.dto.ContentPageDTO;

/**
 * Mapper for the entity {@link ContentPage} and its DTO {@link ContentPageDTO}.
 */
@Mapper(componentModel = "spring")
public interface ContentPageMapper extends ResilientEntityMapper<ContentPageDTO, ContentPage> {

}
