package com.oguerreiro.resilient.domain.enumeration;

/**
 * <b>Content Page Type Enum</b> <br>
 * Defines the 'slug' of a page
 * <ul>
 * <li>{@link #HOME_ANONYMOUS}</li>
 * <li>{@link #HOME_AUTHENTICATED}</li>
 * </ul>
 */
public enum ContentPageType {
  /**
   * The Home page presented to anonymous users
   */
  HOME_ANONYMOUS,

  /**
   * The Home page presented to authenticated users
   */
  HOME_AUTHENTICATED,
}
