import dayjs from 'dayjs/esm';

import { IInputDataUpload, NewInputDataUpload } from './input-data-upload.model';

export const sampleWithRequiredData: IInputDataUpload = {
  id: 2690,
  title: 'perky likewise floodplain',
  dataFile: '../fake-data/blob/hipster.png',
  dataFileContentType: 'unknown',
  type: 'INVENTORY',
  state: 'UPLOADED',
  creationDate: dayjs('2024-10-15T04:00'),
  creationUsername: 'outside contend',
};

export const sampleWithPartialData: IInputDataUpload = {
  id: 23120,
  title: 'happening churn budget',
  dataFile: '../fake-data/blob/hipster.png',
  dataFileContentType: 'unknown',
  uploadFileName: 'apropos',
  diskFileName: 'daily breadfruit',
  type: 'ACCOUNTING',
  state: 'PROCESSED',
  creationDate: dayjs('2024-10-14T16:01'),
  creationUsername: 'colon armoire encumber',
  version: 18232,
};

export const sampleWithFullData: IInputDataUpload = {
  id: 9005,
  title: 'chess',
  dataFile: '../fake-data/blob/hipster.png',
  dataFileContentType: 'unknown',
  uploadFileName: 'controvert utilized',
  diskFileName: 'when beautifully regarding',
  type: 'ACCOUNTING',
  state: 'PROCESSING',
  comments: 'secret whenever ugh',
  creationDate: dayjs('2024-10-15T00:48'),
  creationUsername: 'whereas overreact',
  version: 4458,
};

export const sampleWithNewData: NewInputDataUpload = {
  title: 'annual',
  dataFile: '../fake-data/blob/hipster.png',
  dataFileContentType: 'unknown',
  type: 'ACCOUNTING',
  state: 'PROCESSING',
  creationDate: dayjs('2024-10-14T17:09'),
  creationUsername: 'welcome which',
  id: null,
};

Object.freeze(sampleWithNewData);
Object.freeze(sampleWithRequiredData);
Object.freeze(sampleWithPartialData);
Object.freeze(sampleWithFullData);
