import { Component, input } from '@angular/core';
import { RouterModule } from '@angular/router';

import SharedModule from 'app/shared/shared.module';
import { DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe } from 'app/shared/date';
import { IUnitType } from '../unit-type.model';

@Component({
  standalone: true,
  selector: 'jhi-unit-type-detail',
  templateUrl: './unit-type-detail.component.html',
  imports: [SharedModule, RouterModule, DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe],
})
export class UnitTypeDetailComponent {
  unitType = input<IUnitType | null>(null);

  previousState(): void {
    window.history.back();
  }
}
